hmm2convert(1)

NAME

hmm2convert - convert between profile HMM file formats

SYNOPSIS
hmm2convert [options] oldhmmfile newhmmfile

DESCRIPTION

hmm2convert reads an HMM file from oldhmmfile in any HMMER format, and writes it to a new file newhmmfile in a new format. oldhmmfile and newhmmfile must be different files; you can't reliably overwrite the old file. By default, the new HMM file is written in HMMER 2 ASCII format.

Available formats are HMMER 2 ASCII (default), HMMER 2 binary (-b) GCG profile (-p) , and Compugen XSW extended profile (-P).

OPTIONS

-a  Convert to HMMER 2 ASCII file. This is the default, so this option is unnecessary.

-b  Convert to HMMER 2 binary file.

-h  Print brief help; includes version number and summary of all options, including expert options.

-p  Convert to GCG profile .prf format.

-A  Append mode; append to newhmmfile rather than creating a new file.

-F  Force; if newhmmfile already exists, and -A is not being used to append to the file, hmm2convert will refuse to clobber the existing file unless -F is used.

-P  Convert the HMM to Compugen XSW extended profile format, which is similar to GCG profile format but has two extra columns for delete-open and delete-extend costs. (I do not believe that Compugen publicly supports this format; it may be undocumented.)

SEE ALSO

Master man page, with full list of and guide to the individual man pages: see hmmer2(1).

For complete documentation, see the user guide (ftp://selab.janelia.org/pub/software/hmmer/2.3.2/Userguide.pdf); or see the HMMER web page, http://hmmer.janelia.org/.

COPYRIGHT

Copyright (C) 1992-2003 HHMI/Washington University School of Medicine.
Freely distributed under the GNU General Public License (GPL).
See the file COPYING in your distribution for details on redistribution conditions.

AUTHOR

Sean Eddy
HHMI/Dept. of Genetics
Washington Univ. School of Medicine
4566 Scott Ave.
St Louis, MO 63110 USA
http://www.genetics.wustl.edu/eddy/